#ifndef __H2201_I2S_H__
#define __H2201_I2S_H__

void h2201_i2s_task_start_up(void);
void h2201_i2s_task_shut_down(void);

void h2201_i2s_write_ringbuf(const uint8_t *data, uint32_t size);

void h2201_i2s_set_samplerate(int sample_rate);

void h2201_i2s_init(void);

#endif /* __H2201_I2S_H__ */